Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class ReportParameterConverter

    java.lang.Object
      org.eclipse.birt.report.engine.api.ReportParameterConverter

    public class ReportParameterConverter

extends java.lang.Object

Utilites class to convert report paramete value between object and string.

Constructor Summary
`ReportParameterConverter(java.lang.String format, java.util.Locale locale)`
`ReportParameterConverter(java.lang.String format, com.ibm.icu.util.ULocale uLocale)` Constructor.
`ReportParameterConverter(java.lang.String format, com.ibm.icu.util.ULocale uLocale, com.ibm.icu.util.TimeZone timeZone)` Constructor.

Method Summary
`java.lang.String` | `format(java.lang.Object reportParameterObj)` Convert report parameter value object into string.
`java.lang.Object` | `parse(java.lang.String reportParameterValue, int parameterValueType)` Convert report parameter from string into object.
`protected java.lang.Object` | `parseDateTime(java.lang.String reportParameterValue)` Parse the input string to an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportParameterConverter

    public ReportParameterConverter(java.lang.String format,
                                    java.util.Locale locale)

Parameters:
  `format` - format to format report parameter, or recover parameter value as object given a string as report parameter value
  `locale` - the locale to format/parse the parameter value

### ReportParameterConverter

    public ReportParameterConverter(java.lang.String format,
                                    com.ibm.icu.util.ULocale uLocale)

  Constructor.

  Parameters:
    `format` -
    `uLocale` -

### ReportParameterConverter

    public ReportParameterConverter(java.lang.String format,
                                    com.ibm.icu.util.ULocale uLocale,
                                    com.ibm.icu.util.TimeZone timeZone)

  Constructor.

  Parameters:
    `format` -
    `uLocale` -
    `timeZone` -

Method Detail

### format

    public java.lang.String format(java.lang.Object reportParameterObj)

  Convert report parameter value object into string.

  Parameters:
    `reportParameterObj` - report parameter value object.
  Returns:
    parameter value in string.

### parse

    public java.lang.Object parse(java.lang.String reportParameterValue,
                                  int parameterValueType)

  Convert report parameter from string into object. Need to be pointed out is it return a Double object when the value type is Float.

  Parameters:
    `reportParameterValue` - report parameter value in string.
    `parameterValueType` - report parameter type.
  Returns:
    parameter value object.

### parseDateTime

    protected java.lang.Object parseDateTime(java.lang.String reportParameterValue)

  Parse the input string to an object.

  Parameters:
    `reportParameterValue` - input string to parse
  Returns:
    an object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.